Bug 480543 - dhcp should migrate old config file location to new one, instead of breaking daemon.
dhcp should migrate old config file location to new one, instead of breaking ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-18 13:32 EST by Jesse Keating
Modified: 2013-01-09 22:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-17 23:13:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2009-01-18 13:32:05 EST
The config file location moved from /etc/dhcpd.conf to /etc/dhcp/dhcpd.conf, however the package just removes /etc/dhcpd.conf (leaving a /etc/dhcpd.conf.rpmsave) and installs a blank config in /etc/dhcp/dhcpd.conf.  Instead, the package should migrate an existing config to the new location or else the daemon will not start correctly.
Comment 1 David Cantrell 2009-02-17 23:13:03 EST
Fixed in dhcp-4.1.0-6.fc11.  Config files for dhclient and dhcpd are migrated to /etc/dhcp correctly.  Originals are backed up to .rpmsave files in /etc (or a unique filename if .rpmsave already exists).

Note You need to log in before you can comment on or make changes to this bug.